- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# Mers::Estimation::Discrete Namespace Reference

## Classes
class | BFTEObjectiveFunction
class | CompiledObject
class | CompiledTransition
class | Dissent
class | Estimate
class | EstimateHeap
class | ME_connection
class | MEInterface
class | MEObjectiveFunction
class | ModeEstimatorBase
class | Trajectories
class | Trigger
## Namespaces
namespace | ApproximateBeliefState
namespace | CompiledME
namespace | Io
namespace | ModeEstimation
namespace | ModeEstimationPerformance
namespace | ProbabilityRules
namespace | Stub
## Functions
ostream & | operator<< (ostream &os, CompiledObject const &co)
ostream & | operator<< (ostream &os, CompiledTransition const &ct)
ostream & | operator<< (ostream &os, Dissent const &dis)
ostream & | operator<< (ostream &os, Estimate const &est)
bool | get_directed_assign (const char ch, std::istream &stream, std::ostream &outStream, ModeEstimatorBase *me, Mers::Models::Base::BaseModel &model, const bool addTraj=false, const bool echo=false)
bool | read_trajectory (std::istream &stream, std::ostream &outStream, ModeEstimatorBase *me, Mers::Models::Base::BaseModel &model, const bool addTraj=false, const bool echo=false)
bool | assign (const int var, const int val, ModeEstimatorBase *me, Mers::Models::Base::BaseModel &model, std::ostream &outStream)
bool | assign (const Mers::Utils::Lang::String var, const Mers::Utils::Lang::String val, ModeEstimatorBase *me, Mers::Models::Base::BaseModel &model, std::ostream &outStream)
bool | variableExists (const unsigned int var, const Mers::Models::Base::BaseModel &model)
bool | variableExists (const Mers::Utils::Lang::String var, const Mers::Models::Base::BaseModel &model)
bool | get_assignment_pairs (std::istream &stream, std::ostream &outStream, Mers::Utils::Lang::String &str_1, Mers::Utils::Lang::String &str_2, const bool echo=false)
bool | read_pair_of_string (std::istream &stream, std::ostream &outStream, Mers::Utils::Lang::String &str_1, Mers::Utils::Lang::String &str_2, const bool echo=false)
void | print_estimator_variables (const char ch, const ModeEstimatorBase *me, std::ostream &outStream)
void | eat_space_or_tab (std::istream &stream)
void | clear_stream (std::istream &stream)
bool | isNumeric (const Mers::Utils::Lang::String str)
ostream & | operator<< (ostream &stream, MEInterface const &me_interface)
ostream & | operator<< (ostream &os, ModeEstimatorBase const &me)
ostream & | operator<< (ostream &os, Trajectories const &trajs)
ostream & | operator<< (ostream &os, Trigger const &trig)

## Function Documentation

ostream& Mers::Estimation::Discrete::operator<< | ( | std::ostream & | os,
|  | ModeEstimatorBase const & | me |
| ) |  |  |

Displays the most likely current estimate to the output stream

Definition at line 368 of file ModeEstimatorBase.cpp.

References Mers::Estimation::Discrete::ModeEstimatorBase::currentTrajectories.